﻿ EXEC P_ALTERPK 'PK_CAD_PLANFEEBILL', 'T_CAD_PLANFEEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANFEEBILL_BN') CREATE INDEX IDX_CAD_PLANFEEBILL_BN ON T_CAD_PLANFEEBILL (FBILLNO);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANFEEBILL_OCP') CREATE INDEX IDX_CAD_PLANFEEBILL_OCP ON T_CAD_PLANFEEBILL (FORGID, FCOSTACCOUNTID, FPERIODID);

 EXEC P_ALTERPK 'PK_CAD_PLANFEEBILL_L', 'T_CAD_PLANFEEBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANFEEBILL_L_0') CREATE INDEX IDX_CAD_PLANFEEBILL_L_0 ON T_CAD_PLANFEEBILL_L (FID, FLOCALEID);

 EXEC P_ALTERPK 'PK_CAD_PLANRESOURCE', 'T_CAD_PLANRESOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_CO') CREATE INDEX IDX_CAD_PLANRESOURCE_CO ON T_CAD_PLANRESOURCE (FCOSTCENTERID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_OCP') CREATE INDEX IDX_CAD_PLANRESOURCE_OCP ON T_CAD_PLANRESOURCE (FORGID, FCOSTACCOUNTID, FPERIODID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_RS') CREATE INDEX IDX_CAD_PLANRESOURCE_RS ON T_CAD_PLANRESOURCE (FRESOURCEID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_BN') CREATE INDEX IDX_CAD_PLANRESOURCE_BN ON T_CAD_PLANRESOURCE (FBILLNO);

 EXEC P_ALTERPK 'PK_CAD_PLANWORK', 'T_CAD_PLANWORK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANWORK_BN') CREATE INDEX IDX_CAD_PLANWORK_BN ON T_CAD_PLANWORK (FBILLNO);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_OC') CREATE INDEX IDX_CAD_PLANRESOURCE_OC ON T_CAD_PLANWORK (FORGID, FCOSTCENTERID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_W') CREATE INDEX IDX_CAD_PLANRESOURCE_W ON T_CAD_PLANWORK (FWORKACTIVITYID);

  EXEC P_ALTERPK 'PK_CAD_PLANWORKENTRY', 'T_CAD_PLANWORKENTRY', 'FENTRYID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANWORKENTRY_FK') CREATE INDEX IDX_CAD_PLANWORKENTRY_FK ON T_CAD_PLANWORKENTRY (FID);

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANWORKENTRY_BCO') CREATE INDEX IDX_CAD_PLANWORKENTRY_BCO ON T_CAD_PLANWORKENTRY (FBENEFCOSTCENTERID);

  EXEC P_ALTERPK 'PK_CAD_PLANCOSTDRIVER', 'T_CAD_PLANCOSTDRIVER', 'FID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANCOSTDRIVER_BN') CREATE INDEX IDX_CAD_PLANCOSTDRIVER_BN ON T_CAD_PLANCOSTDRIVER (FBILLNO);

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANCOSTDRIVER_OCC') CREATE INDEX IDX_CAD_PLANCOSTDRIVER_OCC ON T_CAD_PLANCOSTDRIVER (FORGID, FCOSTACCOUNTID, FCOSTCENTERID);

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANRESOURCE_C') CREATE INDEX IDX_CAD_PLANRESOURCE_C ON T_CAD_PLANCOSTDRIVER (FCOSTDRIVERID);

  EXEC P_ALTERPK 'PK_CAD_PLANCOSTDRIVERENTRY', 'T_CAD_PLANCOSTDRIVERENTRY', 'FENTRYID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANCOSTDRIVERENTRY_F') CREATE INDEX IDX_CAD_PLANCOSTDRIVERENTRY_F ON T_CAD_PLANCOSTDRIVERENTRY (FID);

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANCOSTDRIVERENTRY_B') CREATE INDEX IDX_CAD_PLANCOSTDRIVERENTRY_B ON T_CAD_PLANCOSTDRIVERENTRY (FBENEFCOSTCENTERID);

  EXEC P_ALTERPK 'PK_CAD_PLANNONPRODALLOC', 'T_CAD_PLANNONPRODALLOC', 'FID', '1';

  EXEC P_ALTERPK 'PK_CAD_PLANNONPRODALLOC_L', 'T_CAD_PLANNONPRODALLOC_L', 'FPKID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANNONPRODALLOC_L_0') CREATE INDEX IDX_CAD_PLANNONPRODALLOC_L_0 ON T_CAD_PLANNONPRODALLOC_L (FID, FLOCALEID);

  EXEC P_ALTERPK 'PK_CAD_PLNONPRODENTRY', 'T_CAD_PLNONPRODENTRY', 'FENTRYID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLNONPRODENTRY_FK') CREATE INDEX IDX_CAD_PLNONPRODENTRY_FK ON T_CAD_PLNONPRODENTRY (FID);

  EXEC P_ALTERPK 'PK_CAD_PLNONPRODSRCENTRY', 'T_CAD_PLNONPRODSRCENTRY', 'FENTRYID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLNONPRODSRCENTRY_FK') CREATE INDEX IDX_CAD_PLNONPRODSRCENTRY_FK ON T_CAD_PLNONPRODSRCENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_PLANAUXPRODALLOC', 'T_CAD_PLANAUXPRODALLOC', 'FID', '1';

 EXEC P_ALTERPK 'PK_CAD_PLANAUXPRODALLOC_L', 'T_CAD_PLANAUXPRODALLOC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANAUXPRODALLOC_L_0') CREATE INDEX IDX_CAD_PLANAUXPRODALLOC_L_0 ON T_CAD_PLANAUXPRODALLOC_L (FID, FLOCALEID);

 EXEC P_ALTERPK 'PK_CAD_PLAUXPCOMENTRY', 'T_CAD_PLAUXPCOMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLAUXPCOMENTRY_FK') CREATE INDEX IDX_CAD_PLAUXPCOMENTRY_FK ON T_CAD_PLAUXPCOMENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_PLAUXPCOMSUBENTRY', 'T_CAD_PLAUXPCOMSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLAUXPCOMSUBENTRY_FK') CREATE INDEX IDX_CAD_PLAUXPCOMSUBENTRY_FK ON T_CAD_PLAUXPCOMSUBENTRY (FENTRYID);

 EXEC P_ALTERPK 'PK_CAD_PLAUXPPARENTRY', 'T_CAD_PLAUXPPARENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLAUXPPARENTRY_FK') CREATE INDEX IDX_CAD_PLAUXPPARENTRY_FK ON T_CAD_PLAUXPPARENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_PLAUXPPARSUBENTRY', 'T_CAD_PLAUXPPARSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLAUXPPARSUBENTRY_FK') CREATE INDEX IDX_CAD_PLAUXPPARSUBENTRY_FK ON T_CAD_PLAUXPPARSUBENTRY (FENTRYID);

 EXEC P_ALTERPK 'PK_CAD_PLAUXPSRCENTRY', 'T_CAD_PLAUXPSRCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLAUXPSRCENTRY_FK') CREATE INDEX IDX_CAD_PLAUXPSRCENTRY_FK ON T_CAD_PLAUXPSRCENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_PLANBASICALLOC', 'T_CAD_PLANBASICALLOC', 'FID', '1';

 EXEC P_ALTERPK 'PK_CAD_PLANBASICALLOC_L', 'T_CAD_PLANBASICALLOC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLANBASICALLOC_L_0') CREATE INDEX IDX_CAD_PLANBASICALLOC_L_0 ON T_CAD_PLANBASICALLOC_L (FID, FLOCALEID);

 EXEC P_ALTERPK 'PK_CAD_PLBASICALLOCENTRY', 'T_CAD_PLBASICALLOCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLBASICALLOCENTRY_FK') CREATE INDEX IDX_CAD_PLBASICALLOCENTRY_FK ON T_CAD_PLBASICALLOCENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_PLBASICPCOMENTRY', 'T_CAD_PLBASICPCOMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLBASICPCOMENTRY_FK') CREATE INDEX IDX_CAD_PLBASICPCOMENTRY_FK ON T_CAD_PLBASICPCOMENTRY (FID);

  EXEC P_ALTERPK 'PK_CAD_PLBASICPCOMSUBENTRY', 'T_CAD_PLBASICPCOMSUBENTRY', 'FDETAILID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLBASICPCOMSUBENTRY_FK') CREATE INDEX IDX_CAD_PLBASICPCOMSUBENTRY_FK ON T_CAD_PLBASICPCOMSUBENTRY (FENTRYID);

 EXEC P_ALTERPK 'PK_CAD_PLBASICPPARENTRY', 'T_CAD_PLBASICPPARENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLBASICPPARENTRY_FK') CREATE INDEX IDX_CAD_PLBASICPPARENTRY_FK ON T_CAD_PLBASICPPARENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_PLBASICPPARSUBENTRY', 'T_CAD_PLBASICPPARSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLBASICPPARSUBENTRY_FK') CREATE INDEX IDX_CAD_PLBASICPPARSUBENTRY_FK ON T_CAD_PLBASICPPARSUBENTRY (FENTRYID);

 EXEC P_ALTERPK 'PK_CAD_PLBASICPSRCENTRY', 'T_CAD_PLBASICPSRCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_PLBASICPSRCENTRY_FK') CREATE INDEX IDX_CAD_PLBASICPSRCENTRY_FK ON T_CAD_PLBASICPSRCENTRY (FID);

 EXEC P_ALTERPK 'PK_CAD_RESOURCPLANRATE', 'T_CAD_RESOURCPLANRATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_RESOURCPLANRATE_BN') CREATE INDEX IDX_CAD_RESOURCPLANRATE_BN ON T_CAD_RESOURCPLANRATE (FBILLNO);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_RESOURCPLANRATE_OCP') CREATE INDEX IDX_CAD_RESOURCPLANRATE_OCP ON T_CAD_RESOURCPLANRATE (FORGID, FCOSTACCOUNTID, FPERIODID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_RESOURCPLANRATE_C') CREATE INDEX IDX_CAD_RESOURCPLANRATE_C ON T_CAD_RESOURCPLANRATE (FCOSTCENTERID);

