﻿/* 更新归集报告表 */
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_COLREPORT' AND KSQL_COL_NAME ='FPROGRESS')
ALTER TABLE T_CAD_COLREPORT ADD (FPROGRESS INT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_COLREPORT' AND KSQL_COL_NAME ='FDIFF')
ALTER TABLE T_CAD_COLREPORT ADD (FDIFF VARCHAR(2000) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_COLREPORT' AND KSQL_COL_NAME ='FDURATION')
ALTER TABLE T_CAD_COLREPORT ADD (FDURATION VARCHAR(50) NOT NULL DEFAULT ' ');

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_COLREPORTDIFFENTRY' AND KSQL_COL_NAME ='FSUGGEST')
ALTER TABLE T_CAD_COLREPORTDIFFENTRY ADD (FSUGGEST VARCHAR(255) DEFAULT ' ' NOT NULL);

/* 更新制造费用归集报告表 */
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_MFGFEE_REPORT' AND KSQL_COL_NAME ='FPROGRESS')
ALTER TABLE T_CAD_MFGFEE_REPORT ADD (FPROGRESS BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_MFGFEE_REPORT' AND KSQL_COL_NAME ='FDIFF')
ALTER TABLE T_CAD_MFGFEE_REPORT ADD (FDIFF VARCHAR(2000) NOT NULL DEFAULT ' ');
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAD_MFGFEE_REPORT' AND KSQL_COL_NAME ='FDURATION')
ALTER TABLE T_CAD_MFGFEE_REPORT ADD (FDURATION VARCHAR(50) NOT NULL DEFAULT ' ');