IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANPERIOD')
CREATE TABLE  T_CAD_PLANPERIOD
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FCREATETIME DATETIME  NULL,
    FMODIFYTIME DATETIME  NULL,
    FAUDITDATE DATETIME  NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANPERIODENTRY')
CREATE TABLE  T_CAD_PLANPERIODENTRY
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FSTARTPERIODID BIGINT DEFAULT 0 NOT NULL,
	FENDPERIODID BIGINT DEFAULT 0 NOT NULL,
	FENABLE CHAR(1) DEFAULT '0' NOT NULL,
	FCLOSE CHAR(1) DEFAULT '0' NOT NULL
);


