
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANSCHEME')
CREATE TABLE  T_CAD_PLANSCHEME
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME  NULL,
	FMODIFYTIME DATETIME  NULL,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANSCHEME_CALCRULE')
CREATE TABLE  T_CAD_PLANSCHEME_CALCRULE
(
	FPKID BIGINT DEFAULT 0 NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANSCHEME_L')
CREATE TABLE  T_CAD_PLANSCHEME_L
(
	FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) DEFAULT '' NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANSCHEME_R3')
CREATE TABLE  T_CAD_PLANSCHEME_R3
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_PLANSCHEMEENTRY')
CREATE TABLE  T_CAD_PLANSCHEMEENTRY
(
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INTEGER DEFAULT 0 NOT NULL,
	FSTARTPERIODID BIGINT DEFAULT 0 NOT NULL,
	FENDPERIODID BIGINT DEFAULT 0 NOT NULL,
	FEXCUTEMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FENABLED CHAR(1) DEFAULT '0' NOT NULL,
	FCLOSE CHAR(1) DEFAULT '0' NOT NULL
);















